<?php
/**
 * sample code for GiroCheckout integration of a giropay transaction
 *
 * @filesource
 * @package Samples
 * @version $Revision: 28 $ / $Date: 2014-05-22 15:16:32 +0200 (Thu, 22 May 2014) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 0000000;
$projectID = 0000;
$projectPassword = "xxxxx";


/* init giropay transaction and parameters */
$request = new GiroCheckout_SDK_Request('giropayTransaction');
$request->setSecret($projectPassword);
$request->addParam('merchantId',$merchantID)
        ->addParam('projectId',$projectID)
        ->addParam('merchantTxId',1234567890)
        ->addParam('amount',100)
        ->addParam('currency','EUR')
        ->addParam('purpose','Beispieltransaktion')
        ->addParam('bic','TESTDETT421')
        ->addParam('info1Label','Ihre Kundennummer')
        ->addParam('info1Text','0815')
        ->addParam('urlRedirect','https://www.my-domain.de/girocheckout/redirect.php')
        ->addParam('urlNotify','https://www.my-domain.de/girocheckout/redirect.php')
    //the hash field is auto generated by the SDK
        ->submit();


/* if transaction succeeded update your local system an redirect the customer */
if($request->requestHasSucceeded())
{
    $request->getResponseParam('rc');
    $request->getResponseParam('msg');
    $request->getResponseParam('reference');
    $request->getResponseParam('redirect');

    $request->redirectCustomerToPaymentProvider();
}

/* if the transaction did not succeed update your local system, get the responsecode and notify the customer */
else {
    $request->getResponseParam('rc');
    $request->getResponseParam('msg');
    $request->getResponseMessage($request->getResponseParam('rc'),'DE');
}