<?php
/**
 * sample code for GiroCheckout integration of an iDEAL issuer list request
 *
 * @filesource
 * @package Samples
 * @version $Revision: 28 $ / $Date: 2014-05-22 15:16:32 +0200 (Thu, 22 May 2014) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 0000000;
$projectID = 0000;
$projectPassword = "xxxxx";


/* init iDEAL issuer list request */
$request = new GiroCheckout_SDK_Request('idealIssuerList');
$request->setSecret($projectPassword);
$request->addParam('merchantId',$merchantID)
    ->addParam('projectId',$projectID)
    //the hash field is auto generated by the SDK
    ->submit();


/* if request succeeded get the issuer list */
if($request->requestHasSucceeded())
{
   $request->getResponseParam('issuer');   //now you can parse the array
}

/* if the request did not succeed, get the responsecode and notify the customer */
else {
    $request->getResponseParam('rc');
    $request->getResponseParam('msg');
    ResponseCode_helper::getMessage($request->getResponseParam('rc'),'DE');
}

